#
# spec file for package hibernate-commons-annotations
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           hibernate-commons-annotations
Version:        5.0.4
Release:        5.40
License:        EPL-1.0
Summary:        Clean-room definition of JPA APIs
URL:            https://github.com/hibernate/hibernate-jpa-api
Group:          Development/Libraries/Java
# curl -LOJ https://github.com/hibernate/hibernate-commons-annotations/archive/5.0.4.Final.tar.gz
Source0:        hibernate-commons-annotations-5.0.4.Final.tar.gz
Source1:        build.sh
Patch0:         0001-Update-Gradle-Wrapper.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  java-devel-openjdk >= 1.8
BuildRequires:  javapackages-local
%if 0%{?rhel} >= 9
BuildRequires:  xmvn-tools
BuildRequires:  xmvn-minimal
%else
BuildRequires:  xmvn-install
BuildRequires:  xmvn-resolve
%endif
BuildRequires:  xz
BuildRequires:  mvn(org.jboss.logging:jboss-logging)
BuildArch:      noarch
ExcludeArch:    aarch64 ppc64le s390x
Requires:       java

%description
Clean-room definition of JPA APIs intended for transitory use in Hibernate JPA development.
See http://java.net/projects/jpa-spec/downloads for drafts used.

%prep
%setup -q -c -n src
%patch0 -p2
cp -f %{SOURCE1} .

%build
cd ..
sh src/build.sh

cd src
cp hibernate-commons-annotations-%{version}.Final/target/generated-pom.xml hibernate-commons-annotations.xml

%pom_xpath_set pom:project/pom:artifactId %{name} hibernate-commons-annotations.xml
%{mvn_artifact} hibernate-commons-annotations.xml hibernate-commons-annotations-%{version}.Final/target/libs/hibernate-commons-annotations-5.0.4.Final-5.0.4.Final.jar

%install
%mvn_install

%files -f .mfiles
%license hibernate-commons-annotations-%{version}.Final/lgpl.txt

%changelog
* Tue Jun  7 2022 Michael Calmer <mc@suse.com>
- add pom file for packaging
* Thu May 30 2019 Julio González Gil <jgonzalez@suse.com>
- Package does not build at aarch64, ppc64le and s390x, so
  build is now disabled, as package is exported from x86_64 to
  such architectures
* Tue Dec 11 2018 moio@suse.com
- update to version 5.0.4 for Hibernate 5.3 compatibility
  - HCANN-88: Don't depend on java.desktop Jigsaw module
  - HCANN-89: Avoid breaking OSGi manifest when releasing -redhat qualified artifacts
  - HCANN-78: Update address of Free Software Foundation
  - HCANN-83: Make JavaXMember::getJavaType public
  - HCANN-84: Declare a Jigsaw module name: org.hibernate.commons.annotations
  - HCANN-86: Upgrade to JBoss Logging 3.3.1.Final and matching annotation processor
  - HCANN-85: Update Gradle wrapper to Gradle 4.4.1
  - HCANN-82: Use terminology 'GNU Lesser General Public License v2.1 or later'
  - HCANN-82: Update Copyright notice to Java files (main and test)
  - HCANN-77: Field based JavaXProperty creates unnecessary objects
- Remove:
  * 0001-Add-requirement-for-annotations.patch (obsoleted)
  * 0002-Update-Gradle-Wrapper.patch (obsoleted)
- Add:
  * 0001-Update-Gradle-Wrapper.patch (rebased)
* Tue Dec  4 2018 moio@suse.com
- fixes for SLE 15 compatibility
- Remove:
  * hibernate-commons-annotations-5.0.1.Final-jdk9.patch
- Add:
  * 0001-Add-requirement-for-annotations.patch (fixes build on JDK >=9)
  * 0002-Update-Gradle-Wrapper.patch (fixes build on JDK >=10)
* Fri Nov 17 2017 jgonzalez@suse.com
- Fix build for JDK9
- Add:
  * hibernate-commons-annotations-5.0.1.Final-jdk9.patchh
* Thu Sep  1 2016 moio@suse.com
- Initial version
